<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <script>
        function loadURL() {
            var url = document.getElementById("url").value;
            document.getElementById("contenu").src = url;
        }

        document.addEventListener('DOMContentLoaded', function() {
            var input = document.getElementById("url");
            input.addEventListener("keypress", function(event) {
                if (event.key === "Enter") {
                    loadURL();
                }
            });
        });
    </script>
</head>
<body>
    <div id="barre">
        URL :
        <input type="text" id="url" name="url" size="30" />
        <input type="button" id="go" value="🌐" onclick="loadURL()" />
    </div>
    <div id="container">
        <iframe id="contenu"
            title="Iframe OpenBoard"
            width="600"
            height="480"
            src="">
        </iframe>
    </div>
</body>
</html>

